Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.timestamping.protocol.v2
Class TSConsultTSBagRequest

    java.lang.Object
      be.fgov.ehealth.timestamping.protocol.v2.TSConsultTSBagRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-04-09T03:50:17+02:00",
               comments="JAXB RI v2.2.11")
    public class TSConsultTSBagRequest

extends Object
implements Serializable

request the tsbag and response for a concrete identification of the timestamp

Java class for TSConsultTSBagRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TSConsultTSBagRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="IDHospital" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="TSList" type="{urn:be:fgov:ehealth:timestamping:protocol:v2}TimeStampIdentification" maxOccurs="10" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`TSConsultTSBagRequest()`

Method Summary
`String` | `getIDHospital()` Gets the value of the idHospital property.
`List<TimeStampIdentification>` | `getTSLists()` Gets the value of the tsLists property.
`void` | `setIDHospital(String value)` Sets the value of the idHospital property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TSConsultTSBagRequest

    public TSConsultTSBagRequest()

Method Detail

### getIDHospital

    public String getIDHospital()

  Gets the value of the idHospital property.

  Returns:
    possible object is `String`

### setIDHospital

    public void setIDHospital(String value)

  Sets the value of the idHospital property.

  Parameters:
    `value` - allowed object is `String`

### getTSLists

    public List<TimeStampIdentification> getTSLists()

  Gets the value of the tsLists property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the tsLists property.

  For example, to add a new item, do as follows:

          getTSLists().add(newItem);

  Objects of the following type(s) are allowed in the list `TimeStampIdentification`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.